GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_stream_op Struct Reference

`#include <stream_op.h>`

## Data Fields
enum grpc_stream_op_code | type
union {
grpc_begin_message begin_message
grpc_metadata_batch metadata
gpr_slice slice
} | data

## Field Documentation

grpc_begin_message grpc_stream_op::begin_message

union { ... } grpc_stream_op::data

grpc_metadata_batch grpc_stream_op::metadata

gpr_slice grpc_stream_op::slice

enum grpc_stream_op_code grpc_stream_op::type

The documentation for this struct was generated from the following file:

- src/core/transport/stream_op.h